summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPaul de Vrieze <pauldv@gentoo.org>2011-02-18 09:19:02 +0000
committerPaul de Vrieze <pauldv@gentoo.org>2011-02-18 09:19:02 +0000
commit81db1aea97407232017c1d7d8aaf0c1cb2bca375 (patch)
treebcda12b8a8bdf685fd99e2c190acd431cd981a87 /dev-util/eclipse-sdk/files/3.6/eclipse-3.6
parentNew kde 4.6 set (diff)
downloadpauldv-81db1aea97407232017c1d7d8aaf0c1cb2bca375.tar.gz
pauldv-81db1aea97407232017c1d7d8aaf0c1cb2bca375.tar.bz2
pauldv-81db1aea97407232017c1d7d8aaf0c1cb2bca375.zip
Add the ebuilds needed for modern eclipse
svn path=/trunk/overlay/; revision=125
Diffstat (limited to 'dev-util/eclipse-sdk/files/3.6/eclipse-3.6')
-rw-r--r--dev-util/eclipse-sdk/files/3.6/eclipse-3.646
1 files changed, 46 insertions, 0 deletions
diff --git a/dev-util/eclipse-sdk/files/3.6/eclipse-3.6 b/dev-util/eclipse-sdk/files/3.6/eclipse-3.6
new file mode 100644
index 0000000..103eec3
--- /dev/null
+++ b/dev-util/eclipse-sdk/files/3.6/eclipse-3.6
@@ -0,0 +1,46 @@
+#! /bin/sh
+#
+# Tiny startup wrapper for Eclipse
+#
+# Copyright (c) 2004, Karl Trygve Kalleberg <karltk@gentoo.org>
+# Copyright (c) 2007-2008, Jean-Noël Rivasseau <elvanor@gentoo.org>
+# Copyright (c) 2004-2008, Gentoo Foundation
+#
+# Licensed under the GNU General Public License, version 2
+#
+
+SLOT="3.6"
+
+[ -f "/etc/eclipserc-${SLOT}" ] && . "/etc/eclipserc-${SLOT}"
+[ -f "$HOME/gentoo/.eclipserc" ] && . "$HOME/gentoo/.eclipserc"
+
+ECLIPSE_HOME=${ECLIPSE_HOME:="/usr/lib/eclipse-${SLOT}"}
+ECLIPSE_BIN="${ECLIPSE_HOME}/eclipse"
+
+if [ ! -x "${ECLIPSE_BIN}" ] ; then
+ echo "Failed to find executable '${ECLIPSE_BIN}'" > /dev/stderr
+ exit 1
+fi
+
+if [ $(id -u) -eq 0 ] ; then
+ echo "Do not run eclipse as root user! Exiting ..." > /dev/stderr
+ exit 1
+fi
+
+case "$(java-config -f)" in
+ *gcj*)
+ export JAVA_PKG_CLASSMAP="${ECLIPSE_HOME}/eclipse.gcjdb"
+ ;;
+esac
+
+eval $(gjl --package "swt-${SLOT}" --get-args)
+
+[ -n "${ECLIPSE_XMS}" ] && VM_ARGS="${VM_ARGS} -Xms${ECLIPSE_XMS}"
+[ -n "${ECLIPSE_XMX}" ] && VM_ARGS="${VM_ARGS} -Xmx${ECLIPSE_XMX}"
+[ -n "${ECLIPSE_PERMSIZE}" ] && VM_ARGS="${VM_ARGS} -XX:PermSize=${ECLIPSE_PERMSIZE}"
+[ -n "${ECLIPSE_MAX_PERMSIZE}" ] && VM_ARGS="${VM_ARGS} -XX:MaxPermSize=${ECLIPSE_MAX_PERMSIZE}"
+
+# Fix for JRE 1.5.
+export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/lib
+
+exec "${ECLIPSE_BIN}" -vm $(java-config --java) "$@" "${ECLIPSE_USER_ARGS}" -vmargs ${VM_ARGS}